# SoSFPlane Class Reference
[Field classes]

`#include <Inventor/fields/SoSFPlane.h>`

Inheritance diagram for SoSFPlane:

List of all members.

## Detailed Description

The SoSFPlane class is a container for an SbPlane value.

This field is used where nodes, engines or other field containers needs to store a single definition of a 3D plane.

Fields of this type stores their value to file as a normalvector plus an offset from origo: "v0 v1 v2 offset".

See also:
  SoMFPlane

## Static Public Member Functions

void | initClass (void)

## Member Function Documentation

void SoSFPlane::initClass | ( | void |  | ) | `[static]`

| Internal method called upon initialization of the library (from SoDB::init()) to set up the type system. Reimplemented from SoSField.

The documentation for this class was generated from the following files:

- SoSFPlane.h
- SoSFPlane.cpp